#include "serviceproxy.h"
#include <string>

/*
 * Copyright(C) OASIS(R) 2006,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 */

#ifndef _oasis_sca_DomainContext_h_
#define _oasis_sca_DomainContext_h_


namespace oasis {
    namespace sca {

        /**
         * Defines the DomainContext interface
         */
        class DomainContext {
            public:

                /**
                 * Returns a service proxy implementing the interface of a service in an SCA domain.
                 * @return Pointer to a ServiceProxy object implementing the interface of the Service.
                 *         This will be NULL if serviceURI is not defined in the domain.
                 */
                virtual ServiceProxyPtr getService(const std::string& serviceURI) const = 0;
        };

    } // namespace sca
} // namespace oasis

#endif /* _oasis_sca_DomainContext_h_ */
